Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.xml
Class DefaultService

    java.lang.Object
      org.openxri.xml.Service
          org.openxri.xml.DefaultService

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DefaultService

extends Service

This is a service that matches a resolution request without service type, media type and path.

Author:
  =peacekeeper
See Also:
  Serialized Form

Constructor Summary
`DefaultService(java.net.URI page)`
`DefaultService(java.net.URI[] pages)`
`DefaultService(java.net.URI[] pages, java.lang.String providerID)` Constructs a new default service endpoint for use in an authority.
`DefaultService(java.net.URI page, java.lang.String providerID)`

Method Summary
`static boolean` | `isInstance(Service service)`

Methods inherited from class org.openxri.xml.Service
`addLocalID, addMediaType, addMediaType, addMediaType, addPath, addPath, addPath, addRedirect, addRef, addType, addType, addType, addURI, addURI, addURI, clone, dump, equals, fromDOM, getExtension, getKeyInfo, getLocalIDAt, getMediaType, getMediaTypeAt, getMediaTypes, getNumLocalIDs, getNumMediaTypes, getNumPaths, getNumRedirects, getNumRefs, getNumTypes, getNumURIs, getOtherChildrenVectorMap, getOtherTagValues, getPathAt, getPaths, getPrioritizedRedirects, getPrioritizedRefs, getPrioritizedURIs, getPriority, getProviderId, getRedirectAt, getRedirects, getRefAt, getRefs, getType, getTypeAt, getTypes, getURI, getURIAt, getURIForScheme, getURIs, matchType, reset, setExtension, setKeyInfo, setMediaType, setMediaTypes, setOtherTagValues, setPaths, setPrioritizedURIs, setPriority, setPriority, setProviderId, setType, setTypes, setURIs, toDOM, toDOM, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultService

    public DefaultService(java.net.URI[] pages,
                          java.lang.String providerID)

  Constructs a new default service endpoint for use in an authority. Nothing will be appended to them.

  Parameters:
    `pages` - - The default URI(s).

### DefaultService

    public DefaultService(java.net.URI page,
                          java.lang.String providerID)

### DefaultService

    public DefaultService(java.net.URI[] pages)

### DefaultService

    public DefaultService(java.net.URI page)

Method Detail

### isInstance

    public static boolean isInstance(Service service)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.